Subject: Re: What's not in 'master', and likely not to be in, until 1.5.4

From: Junio C Hamano <[email-masked]>
Date: Sun, 20 Jan 2008 22:15:22 -0800

Linus Torvalds <[email-masked]> writes:

> On Sun, 20 Jan 2008, Junio C Hamano wrote:
>> 
>>  * marking output from "diff --{no,src,dst}-prefix" as a non-git
>>    diff (me)
>> 
>>    Linus had an objection but I think I made a reasonable
>>    argument against that.  Haven't heard back since then, so
>>    this is in limbo.
>
> I just didn'̈́t really care enough. I still don't think the prefix has 
> anything to do with git'ness, but at the same time it's just not something 
> I'll ever use, so..
>
>>  * various lstat(2) reduction changes (me, Linus and Dscho).
>> 
>>    This will be queued in 'pu'; it appears this introduces a
>>    timing related breakages in t75?? tests.
>
> Can you send some more info on this?

It's a Heisenbug.  I actually merged it to 'next' but rewound it
before pushing the result out after seeing a breakage.

"make clean test" to run everything through sometimes fails and
immediately after that when I do "cd t && sh t75??-???.sh -i -v"
it happily runs through the end.

I'll be back with more details when I have some.